import styled from 'styled-components';

export const ItemContainer = styled.article`
  display: flex;
  align-items: center;
`;

export const Text = styled.p<{ fontSize: number }>`
  font-size: ${({ fontSize }) => `${fontSize}px`};
  font-weight: 400;
  font-family: ${({ theme }) => `${theme.fonts.primary}`};
  color: ${({ theme }) => theme.colors.typography.primaryTypography};
`;
