import { FC } from "react";
import { StyledUnderlineHeading } from "./styled"

export interface Props extends React.HTMLAttributes<HTMLHeadingElement> {

}

export const UnderlineHeading: FC<Props> = ({ ...props }) => {
    return (
        <StyledUnderlineHeading { ...props }></StyledUnderlineHeading>
    )
}

export default UnderlineHeading;