import { SVGProps, memo } from 'react';
import { StyledTwo } from './Styled';

const SvgComponent = (props: SVGProps<SVGSVGElement>) => (
  <StyledTwo>
    <svg
      width={17}
      viewBox='0 0 17 17'
      fill='none'
      xmlns='http://www.w3.org/2000/svg'
      {...props}
    >
      <path
        d='M12.75 2.834h-8.5a2.833 2.833 0 0 0-2.834 2.833v7.084a2.833 2.833 0 0 0 2.833 2.833h8.5a2.833 2.833 0 0 0 2.834-2.833V5.667a2.833 2.833 0 0 0-2.834-2.833ZM5.666 1.417V4.25M11.332 1.417V4.25M1.416 7.084h14.167'
        stroke='#66C1C0'
        strokeWidth={1.5}
        strokeLinecap='round'
        strokeLinejoin='round'
      />
    </svg>
  </StyledTwo>
);

const CalendarIcon = memo(SvgComponent);
export default CalendarIcon;
