import { SVGProps, memo } from 'react';
import { Styled } from './Styled';

const SvgComponent = (props: SVGProps<SVGSVGElement>) => (
  <Styled>
    <svg
      width={25}
      viewBox='0 0 25 22'
      fill='none'
      xmlns='http://www.w3.org/2000/svg'
      {...props}
    >
      <path
        d='M17.142 7.766a1.172 1.172 0 0 1 1.672 1.641l-6.234 7.797a1.171 1.171 0 0 1-1.688.031l-4.134-4.134a1.172 1.172 0 1 1 1.656-1.656l3.272 3.27L17.112 7.8a.414.414 0 0 1 .032-.035h-.002Z'
        fill='#66C1C0'
      />
    </svg>
  </Styled>
);

const GreenTick = memo(SvgComponent);
export default GreenTick;
