import { SVGProps, memo } from 'react';
import { StyledTwo } from './Styled';

const SvgComponent = (props: SVGProps<SVGSVGElement>) => (
  <StyledTwo>
    <svg
      width={20}
      viewBox='0 0 20 19'
      fill='none'
      xmlns='http://www.w3.org/2000/svg'
      {...props}
    >
      <path
        d='m16.666 11.663-6.667-5.77-6.666 5.77'
        stroke='#66C1C0'
        strokeWidth={2}
        strokeLinecap='round'
        strokeLinejoin='round'
      />
    </svg>
  </StyledTwo>
);

const UpArrowIcon = memo(SvgComponent);
export default UpArrowIcon;
