import { SVGProps, memo } from 'react';

const SvgComponent = (props: SVGProps<SVGSVGElement>) => (
  <svg
    width={50}
    viewBox='0 0 50 50'
    fill='none'
    xmlns='http://www.w3.org/2000/svg'
    {...props}
  >
    <circle cx={25} cy={25} r={24.5} stroke='url(#a)' />
    <path
      d='M36 17a10.9 10.9 0 0 1-3.14 1.53 4.48 4.48 0 0 0-7.86 3v1A10.66 10.66 0 0 1 16 18s-4 9 5 13a11.64 11.64 0 0 1-7 2c9 5 20 0 20-11.5 0-.28-.03-.56-.08-.83A7.72 7.72 0 0 0 36 17v0Z'
      stroke='url(#b)'
      strokeWidth={2}
      strokeLinecap='round'
      strokeLinejoin='round'
    />
    <defs>
      <linearGradient
        id='a'
        x1={25}
        y1={0}
        x2={23.17}
        y2={24.87}
        gradientUnits='userSpaceOnUse'
      >
        <stop stopColor='#5FBEBD' />
        <stop offset={1} stopColor='#44A7A6' />
      </linearGradient>
      <linearGradient
        id='b'
        x1={25}
        y1={16.99}
        x2={24.463}
        y2={25.931}
        gradientUnits='userSpaceOnUse'
      >
        <stop stopColor='#5FBEBD' />
        <stop offset={1} stopColor='#44A7A6' />
      </linearGradient>
    </defs>
  </svg>
);

const TwitterIcon = memo(SvgComponent);
export default TwitterIcon;
