import { ComponentStory, ComponentMeta } from '@storybook/react';
import UnderlineHeading from '../../core/atoms/underlineHeading/UnderlineHeading';


export default {
    title: 'Atoms/UnderlineHeading',
    component: UnderlineHeading,
    argTypes: {},
} as ComponentMeta<typeof UnderlineHeading>;

const Template: ComponentStory<typeof UnderlineHeading> = (args) => 
<UnderlineHeading {...args}>I am a UnderlineHeading</UnderlineHeading>;

export const Active = Template.bind({});
Active.args = {
    // isActive: true
};

export const Inactive = Template.bind({});
Inactive.args = {
    // isActive: false
};

