import { ComponentStory, ComponentMeta } from '@storybook/react';
import { CardOurServices } from '../../core/molecules/';


export default {
    title: 'Molecules/CardOurServices',
    component: CardOurServices,
    argTypes: {
        title: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        details: { 
            description: 'All details in the card.'
        },
    },
} as ComponentMeta<typeof CardOurServices>;

const Template: ComponentStory<typeof CardOurServices> = (args) => <CardOurServices {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    title: 'Apps Mobiles',
    details: ["Hosting","Diseño","desarrollo","Configuracion DNS","Todo lo starter y mas!"],
};