/* eslint-disable react/require-default-props */
import { ButtonHTMLAttributes, FC } from 'react';
import { Button } from './styled';

export interface Props extends ButtonHTMLAttributes<HTMLButtonElement> {
  secondary?: boolean;
  size: number;
}

export const ArrowButton: FC<Props> = ({ secondary, size, ...props }) => (
  <Button secondary={secondary} size={size} {...props} />
);

export default ArrowButton;