import { SVGProps, memo } from 'react';
import { StyledTwo } from './Styled';

const SvgComponent = (props: SVGProps<SVGSVGElement>) => (
  <StyledTwo>
    <svg
      width={16}
      viewBox='0 0 16 16'
      fill='none'
      xmlns='http://www.w3.org/2000/svg'
      {...props}
    >
      <path
        d='M5.333 2.667 10.666 8l-5.333 5.334'
        stroke='#66D4CF'
        strokeWidth={2}
        strokeLinecap='round'
        strokeLinejoin='round'
      />
    </svg>
  </StyledTwo>
);

const SideArrowIcon = memo(SvgComponent);
export default SideArrowIcon;
