import { SVGProps, memo } from 'react';

const SvgComponent = (props: SVGProps<SVGSVGElement>) => (
  <svg
    width={50}
    viewBox='0 0 50 50'
    fill='none'
    xmlns='http://www.w3.org/2000/svg'
    {...props}
  >
    <circle cx={25} cy={25} r={24.5} stroke='url(#a)' />
    <path
      clipRule='evenodd'
      d='M21.567 24.587v11.126c0 .164.134.287.288.287h4.132a.287.287 0 0 0 .287-.287v-11.3h2.994a.283.283 0 0 0 .287-.267l.288-3.404c.01-.164-.123-.318-.288-.318h-3.28v-2.42c0-.564.46-1.025 1.024-1.025h2.308a.287.287 0 0 0 .287-.287v-3.405a.287.287 0 0 0-.287-.287H25.71a4.144 4.144 0 0 0-4.143 4.143v3.281h-2.07a.287.287 0 0 0-.288.287v3.405c0 .163.133.287.287.287h2.071v.184Z'
      stroke='url(#b)'
      strokeWidth={2.3}
      strokeMiterlimit={10}
    />
    <defs>
      <linearGradient
        id='a'
        x1={25}
        y1={0}
        x2={23.17}
        y2={24.87}
        gradientUnits='userSpaceOnUse'
      >
        <stop stopColor='#5FBEBD' />
        <stop offset={1} stopColor='#44A7A6' />
      </linearGradient>
      <linearGradient
        id='b'
        x1={24.551}
        y1={13}
        x2={22.774}
        y2={24.221}
        gradientUnits='userSpaceOnUse'
      >
        <stop stopColor='#5FBEBD' />
        <stop offset={1} stopColor='#44A7A6' />
      </linearGradient>
    </defs>
  </svg>
);

const FacebookIcon = memo(SvgComponent);
export default FacebookIcon;
