import { SVGProps, memo } from "react"

const SvgComponent = (props: SVGProps<SVGSVGElement>) => (
  <svg
  width={50}
  viewBox="0 0 50 50"
  fill="none"
  xmlns="http://www.w3.org/2000/svg"
  {...props}
>
  <circle cx={25} cy={25} r={24.5} stroke="url(#b)" />
  <path
    d="M21.547 33.766c-2.156.718-4.313-.72-5.031-1.438m5.75 2.156s-.72-2.875.718-4.312c0 0-2.875 0-5.03-2.156-2.157-2.157-1.438-6.47 0-7.907-.72-2.156.718-3.593.718-3.593s2.156 0 3.594 1.437c1.437-.719 5.03-.719 6.468 0 1.438-1.437 3.594-1.437 3.594-1.437s1.438 1.437.719 3.593c1.437 1.438 2.156 5.75 0 7.907-2.156 2.156-5.031 2.156-5.031 2.156 1.437 1.437.718 4.312.718 4.312h-6.468Z"
    stroke="url(#a)"
    strokeWidth={1.6}
    strokeLinecap="round"
    strokeLinejoin="round"
  />
  <defs>
    <linearGradient
      id="a"
      x1={25.462}
      y1={16.516}
      x2={24.801}
      y2={25.453}
      gradientUnits="userSpaceOnUse"
    >
      <stop stopColor="#5FBEBD" />
      <stop offset={1} stopColor="#44A7A6" />
    </linearGradient>
    <linearGradient
      id="b"
      x1={25}
      y1={0}
      x2={23.17}
      y2={24.87}
      gradientUnits="userSpaceOnUse"
    >
      <stop stopColor="#5FBEBD" />
      <stop offset={1} stopColor="#44A7A6" />
    </linearGradient>
  </defs>
</svg>
)

const GithubIcon = memo(SvgComponent)
export default GithubIcon;
