import { SVGProps, memo } from 'react';

const SvgComponent = (props: SVGProps<SVGSVGElement>) => (
  <svg
    width={50}
    viewBox='0 0 50 50'
    fill='none'
    xmlns='http://www.w3.org/2000/svg'
    {...props}
  >
    <circle cx={25} cy={25} r={24.5} stroke='url(#a)' />
    <path
      fillRule='evenodd'
      clipRule='evenodd'
      d='m15.653 15.042-1.611 3.933v16.076h5.729v2.908h3.222l3.044-2.908h4.656l6.265-5.986V15.042H15.653ZM34.81 28.04l-3.582 3.42H25.5l-3.044 2.907v-2.906h-4.833V17.094h17.186V28.04Zm-3.582-7.011v5.979H29.08v-5.98h2.15-.002Zm-5.728 0v5.979h-2.148v-5.98H25.5Z'
      fill='url(#b)'
    />
    <defs>
      <linearGradient
        id='a'
        x1={25}
        y1={0}
        x2={23.17}
        y2={24.87}
        gradientUnits='userSpaceOnUse'
      >
        <stop stopColor='#5FBEBD' />
        <stop offset={1} stopColor='#44A7A6' />
      </linearGradient>
      <linearGradient
        id='b'
        x1={25.5}
        y1={15.042}
        x2={24.661}
        y2={26.441}
        gradientUnits='userSpaceOnUse'
      >
        <stop stopColor='#5FBEBD' />
        <stop offset={1} stopColor='#44A7A6' />
      </linearGradient>
    </defs>
  </svg>
);

const TwitchIcon = memo(SvgComponent);
export default TwitchIcon;
