import { ComponentStory, ComponentMeta } from '@storybook/react';
import { TitlesOfSections } from '../../core/atoms/titlesOfSections/TitlesOfSections';


export default {
    title: 'Atoms/TitlesOfSections',
    component: TitlesOfSections,
    argTypes: {
        backgroundTitle: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the backgroundTitle.'
        },
        title: { 
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title.'
        },
    },
} as ComponentMeta<typeof TitlesOfSections>;

const Template: ComponentStory<typeof TitlesOfSections> = (args) => <TitlesOfSections {...args}/>;

export const Primary = Template.bind({});
Primary.args = {
    backgroundTitle: 'POSITIONS',
    title: 'Vacantes disponibles'
};